initial commit

This commit is contained in:
Ward from fusion-voyager-3 2024-12-17 18:37:28 +03:00
parent 53dbced29e
commit 47e537a33e
13 changed files with 7 additions and 76 deletions

View File

@ -1 +1 @@
6
1

View File

@ -9,10 +9,10 @@ echo "$PIKA_BUILD_ARCH" > pika-build-arch
VERSION="1.0"
# Clone Upstream
cd ./pika-refind-btrfs-hooks/
cd ./pika-live-booster-hooks/
# Get build deps
LOGNAME=root dh_make --createorig -y -l -p pika-refind-btrfs-hooks_"$VERSION" || echo "dh-make: Ignoring Last Error"
LOGNAME=root dh_make --createorig -y -l -p pika-live-booster-hooks_"$VERSION" || echo "dh-make: Ignoring Last Error"
apt-get build-dep ./ -y
# Build package

View File

@ -1,4 +1,4 @@
Source: pika-refind-btrfs-hooks
Source: pika-live-booster-hooks
Section: admin
Priority: optional
Maintainer: ferreo <harderthanfire@gmail.com>
@ -6,15 +6,9 @@ Standards-Version: 4.6.1
Build-Depends: debhelper-compat (= 13)
Rules-Requires-Root: no
Package: pika-refind-btrfs-hooks
Package: pika-live-booster-hooks
Architecture: linux-any
Depends:
${misc:Depends},
linux-base,
refind,
refind-btrfs,
snapper,
booster,
Recommends:
apt-btrfs-snapper,
Description: refind-btrfs stanza generation hooks for PikaOS.
Description: Booster hooks for PikaOS LiveISO.

View File

@ -0,0 +1 @@
usr

View File

@ -1,2 +0,0 @@
etc
usr

View File

@ -1,5 +0,0 @@
#! /bin/bash
set -e
gen-pika-refind-btrfs-stanza

View File

@ -1,5 +0,0 @@
#! /bin/bash
set -e
gen-pika-refind-btrfs-stanza

View File

@ -1,52 +0,0 @@
#! /bin/bash
set -e
export EFI_PATH=/boot/efi
if [ "$EUID" -ne 0 ]
then echo "Please run as root"
exit
fi
if [[ -f $EFI_PATH/EFI/refind/refind.conf ]]
then
export DO_STANDARD_REFIND_PATH=true
fi
if [[ -f $EFI_PATH/EFI/BOOT/refind.conf ]]
then
export DO_BOOTX64_REFIND_PATH=true
fi
REFIND_CMDLINE_OPTIONS="$(cat /boot/refind_linux.conf | cut -f4 -d"\"" | head -n1 | sed 's/---//g' | sed -E 's/root=[^ ]* //g')"
ROOT_PARTUUID="$(blkid -s PARTUUID -o value $(df -P -h -T / | awk 'END{print $1}'))"
if [[ -z "$ROOT_PARTUUID" ]]
then
echo "Current Root partition type doesn't support PARTUUID"
exit 1
fi
create_entries() {
REFIND_PATH="$1"
grep -qxF 'include pika-refind-btrfs.conf' $EFI_PATH/$REFIND_PATH/refind.conf || echo 'include pika-refind-btrfs.conf' >> $EFI_PATH/$REFIND_PATH/refind.conf
rm -rfv $EFI_PATH/$REFIND_PATH/pika-refind-btrfs.conf || true
linux-version list | while read kernel_version
do
echo "Creating refind stanza for: $kernel_version"
echo -e "menuentry \"PikaOS Snapper Stanza - $kernel_version\" {\n icon /$REFIND_PATH/refind-dark/icons/os_pika.png\n volume \"PikaOS\"\n loader /vmlinuz-$kernel_version\n initrd /booster.img-$kernel_version\n options \"root=PARTUUID=$ROOT_PARTUUID $REFIND_CMDLINE_OPTIONS\"\n}\n" >> "$EFI_PATH/$REFIND_PATH/pika-refind-btrfs.conf"
done
}
if [[ $DO_STANDARD_REFIND_PATH == true ]]
then
echo "Standard Refind Path Detected"
create_entries "EFI/refind"
fi
if [[ $DO_BOOTX64_REFIND_PATH == true ]]
then
echo "Bootx64 Refind Path Detected"
create_entries "EFI/BOOT"
fi